.vsk-slider{
	--_slide-width: clamp(350px, 35%, 450px);
	--_slide-margin: clamp(12px, 5%, 24px);
	--_dot-width-base: 10px;
	width: 100%;
	overflow-x: clip!important;
	overflow-y: visible!important;
}
    
.vsk-slider .flickity-viewport{
	width: 100%;
	overflow-x: clip!important;
	overflow-y: visible!important;
}

.vsk-slider :where(.jet-listing-grid__items){
	flex-flow: row nowrap!important;
}

.vsk-slider :where(.vsk-slider__slide, .jet-listing-grid__item, .jet-listing-dynamic-repeater__item, .jet-engine-gallery-grid__item, .jet-filter-row, .gallery-item){
	width: var(--_slide-width)!important;
	max-width: var(--_slide-width)!important;
	opacity: 1;
}

.vsk-slider.padding-top :where(.jet-listing-grid__item, .vsk-slider__slide, .jet-listing-dynamic-repeater__item, .jet-filter-row, .jet-engine-gallery-grid__item, .gallery-item){
	padding-top: var(--_slide-margin)!important;
}
.vsk-slider.padding-bottom :where(.jet-listing-grid__item, .vsk-slider__slide, .jet-listing-dynamic-repeater__item, .jet-filter-row, .jet-engine-gallery-grid__item, .gallery-item){
	padding-bottom: var(--_slide-margin)!important;
}
.vsk-slider.padding-left :where(.jet-listing-grid__item, .vsk-slider__slide, .jet-listing-dynamic-repeater__item, .jet-filter-row, .jet-engine-gallery-grid__item, .gallery-item){
	padding-left: var(--_slide-margin)!important;
}
.vsk-slider.padding-right :where(.jet-listing-grid__item, .vsk-slider__slide, .jet-listing-dynamic-repeater__item, .jet-filter-row, .jet-engine-gallery-grid__item, .gallery-item){
	padding-right: var(--_slide-margin)!important;
}
  
.vsk-slider__prev,
.vsk-slider__next{
	cursor: pointer!important;
}


.vsk-slider .flickity-page-dots{
	display: flex!important;
	flex-flow: row nowrap;
	gap: 4px;
	bottom: -48px;
	left: 12px;
	right: unset;
	width: fit-content!important;
	z-index: 5;
}

@media(max-width: 767px){
	.vsk-slider .flickity-page-dots{
		right: var(--vsk-section-padding-side);
	}
}

.vsk-slider .flickity-page-dots li{
	--_before-size: 0;
	color: var(--e-global-color-36064f4);
	background: currentColor;
	opacity: 1!important;
	margin: 0 3px!important;
	border-radius: 100vw!important;
	width: var(--_dot-width-base);
	height: var(--_dot-width-base);
	transition: var(--vsk-transition)!important;
	position: relative;
}

.vsk-slider .flickity-page-dots li:before{
	content: '';
	position: absolute;
	width: var(--_before-size);
	height: var(--_before-size);
	border: 1px solid currentColor;
	border-radius: 100vw; 
	transition: all .3s var(--vsk-transition-ease);
	transform-origin: center;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.vsk-slider .flickity-page-dots li.is-selected:before{
	--_before-size: calc(100% + 8px);
}

.use-side-fade{
    --_fw: 24px;
    --_clr: var(--e-global-color-b4613f1);
    padding: 0 0 0 calc(var(--_fw) / 2)!important;
    position: relative;
	overflow-x: clip!important;
}

.use-side-fade .flickity-viewport{
    overflow-x: visible!important;
}

.use-side-fade:before,
.use-side-fade:after{
    content: '';
    position: absolute;
    top: 0;
    width: var(--_fw);
    height: 100%;
    z-index: 5;
}

.use-side-fade:before{
    left: 0;
     background: linear-gradient(90deg, var(--_clr) 0%, rgba(255, 255, 255, 0) 100%);
}
.use-side-fade:after{
    right: 0;
    background: linear-gradient(-90deg, var(--_clr) 0%, rgba(255, 255, 255, 0) 100%);
}

@media(max-width:1024px){
	.vsk-slider{
		--_slide-width: max(280px, 20%);
	}
}
    
@media(max-width:480px){
	.vsk-slider{
		--_slide-width: 90%;
		--_dot-width-base: 12px;
	}
}